// These are the functions exposed by the native graphics module.
//
export function cls(r: number, g: number, b: number);

export function print(msg: string, x: number, y: number);

export function color(r: number, g: number, b: number, a: number);

export function stroke(r: number, g: number, b: number, a: number);

export function scale(x: number, y: number);

export function spr(
  x: number,
  y: number,
  w: number,
  h: number,
  sx: number,
  sy: number,
  sw: number,
  sh: number
);

export function circle(x: number, y: number, r: number, s: number);

export function create_texture(
  buffer: ArrayBuffer,
  label: string | undefined
): number;

export function use_texture(id: number);

export function create_writable_texture(
  width: number,
  height: number,
  label: string | undefined
): number;

export function write_to_screen();

export function write_to_texture(id: number);

export function get_dimensions(): [number, number];
